### File

`packages/ecl/core/services/ecl-theme.service.ts`

### Index

###### Properties
Public isEC$ Public isEU$ Public theme$
###### Methods
getTheme isECTheme isEUTheme setTheme

### Constructor

`constructor()`

### Methods

getTheme
`getTheme()`
Returns : `ECLTheme`

isECTheme
`isECTheme()`
Returns : `boolean`

isEUTheme
`isEUTheme()`
Returns : `boolean`

setTheme
`setTheme(theme: ECLTheme)`
Parameters :
Name | Type | Optional
theme | `ECLTheme` | No
Returns : `void`

### Properties

Public isEC$
Type : `Observable<boolean>`

Public isEU$
Type : `Observable<boolean>`

Public theme$
Type : `Observable<ECLTheme>`

# results matching ""

# No results matching ""